<?php
require_once('constants.inc'); 
require_once('dataMiner.inc'); 
require_once('Logger.inc'); 
require_once('ManagerParent.inc'); 
function x_28q() { 
echo '{"returnValue":false,"error":"invalid request"}'; 
exit(); 
} 
if (!isset($_POST['object']) || !isset($_POST['method'])) { 
Logger::logWrite(ERRORLOG, 'empty request in admin/dataMiner.php: , POST:' . json_encode($_POST) . ', GET: ' . json_encode($_GET)); 
x_28q(); 
} 
$x_z3 = kerio('webadmin::Session'); 
if (is_null($x_z3)) { 
echo '{"returnValue":false,"error":"invalid session"}'; 
exit(); 
} 
else { 
$x_1a8 = $_POST['token']; 
$x_28r = $_POST['object'] . '::' . $_POST['method']; 
$x_z3->getCsrf(&$x_28s); 
if ($x_28s != $x_1a8) { 
$x_28t = 'Possible web attack: ' 
. 'script=' . $_SERVER['REQUEST_URI'] . ', ' 
. 'action=' . $x_28r . ', ' 
. 'token=' . $x_1a8 . ', ' 
. 'referer=' . $_SERVER['HTTP_REFERER']; 
Logger::logWrite(SECURITYLOG, $x_28t); 
x_28q(); 
} 
} 
$x_28u = $_POST; 
$x_28v = new x_23h($x_z3, $x_28u); 
if (false === $x_28v->x_23j('')) { 
x_28q(); 
} 
?>
